Retrieves the collection of Release resources.
curl --request GET \
--url https://www.fmdb.net/api/releases \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.fmdb.net/api/releases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.fmdb.net/api/releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "<string>",
"attributes": {
"_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"title": "The Godfather",
"_type": "album",
"disambiguation": "Complete Score",
"releasedate": "2024-01-15",
"country": "US",
"catalognumber": "VS-5051",
"copies": 5000,
"notes": "Limited edition release.",
"slug": "the-godfather-complete-score",
"published": true,
"locked": false,
"lifecycle_status": "released",
"created_at": "2024-01-15T10:00:00+00:00",
"updated_at": "2024-01-15T14:30:00+00:00",
"total_tracks": 12,
"total_duration": 3600,
"artists": [
{
"iri": "/api/artists/a1b2c3d4",
"id": "a1b2c3d4",
"name": "Hans Zimmer",
"name_variation": null,
"position": 0,
"join_phrase": " feat. ",
"credit_role": "main"
},
{
"iri": "/api/artists/b2c3d4e5",
"id": "b2c3d4e5",
"name": "Lisa Gerrard",
"name_variation": null,
"position": 1,
"join_phrase": null,
"credit_role": "featured"
}
],
"artist_credit": "Hans Zimmer feat. Lisa Gerrard",
"labels": [
{}
],
"productions": [
{}
],
"credits": [
{}
],
"images": [
{}
],
"identifiers": [
{}
],
"track_labels": [
{}
],
"packaging_type": {
"id": "a1b2c3d4-1111-4000-8000-000000000001",
"name": "Jewel Case",
"slug": "jewel-case"
},
"tags": [
"score",
"orchestral"
],
"recordings": [
{}
]
}
}
],
"links": {
"self": "string",
"first": "string",
"prev": "string",
"next": "string",
"last": "string"
},
"meta": {
"totalItems": 1,
"itemsPerPage": 1,
"currentPage": 1
}
}Release
Retrieves the collection of Release resources.
Retrieves the collection of Release resources.
GET
/
api
/
releases
Retrieves the collection of Release resources.
Authorizations
API token authentication
Query Parameters
The collection page number
Available options:
announced, released, canceled Available options:
announced, released, canceled Release title
Release title
Release country
Release country
Release type
Release production
Release label
Release barcode
Release discId
Release q
Release order[title]
Available options:
asc, desc, ASC, DESC Release order[releasedate]
Available options:
asc, desc, ASC, DESC Release order[country]
Available options:
asc, desc, ASC, DESC Release order[createdAt]
Available options:
asc, desc, ASC, DESC ⌘I
